
Redmine - Feature #9207

Ability for administrator to hide projects he is not member of from the projects page

2011-09-08 14:29 - Jan Mach

Status: Closed Start date: 2011-09-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

On some Redmine installations, the single Redmine instance is used to manage multiple projects. Sometimes the number of the

projects and subprojects can be so high, that the project list is very long. If the Redmine administrator himself is participating in some

projects, it can be tedious to scroll down the list and try to find the proper project. Same problem is with the project selection combo

box in the upper right corner.

Proposed solutions:

1. On the PROJECTS page, there should be listed only the projects the current user is member of and public projects.

or

2. On the PROJECTS page, there should be by default listed only the projects the current user is member of. There could be a

checkbox of some sort, which would add the public projects to the list as well.

or

3. On the MyPage, there could be a block available, which would contain the list of projects the current user is member of.

Related issues:

Related to Redmine - Feature #3224: Better project list Closed 2009-04-23

Is duplicate of Redmine - Feature #29482: Query system for Projects page Closed

History

#1 - 2011-09-08 15:17 - Etienne Massip

- Category set to Projects

#2 - 2012-02-01 17:03 - Dariusz Kowalski

+1

#3 - 2017-03-29 14:18 - Marcio Formiga

Does anyone know of a plugin that do the same thing? I have exactly the same problem, it's really annoying.

#4 - 2020-02-15 16:21 - Marius BĂLTEANU

- Is duplicate of Feature #29482: Query system for Projects page added

#5 - 2020-02-15 16:21 - Marius BĂLTEANU

In Redmine 4.1.0 you can now filter the Projects list and save custom queries, please see #29482 for more details.

#6 - 2020-02-15 16:22 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed
